#pragma once
#include <string>
#include <glew.h>
#include <glfw3.h>
namespace cgue
{
	class Shader
	{
	public:
		Shader(const std::string&  vertextShader, const std::string& fragmentShader);
		~Shader();

		void useShader() const;
		GLuint programHandle;

		std::string hello = "hello";
	private:
		
		void loadShader(const std::string& shader, GLenum shaderType, GLuint& handle);
		
		void link();

		GLuint vertexHandle;
		GLuint fragmentHandle;
		
		








	};

}
